// TestAxGsmDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TestAxGsm.h"
#include "TestAxGsmDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTestAxGsmDlg dialog

CTestAxGsmDlg::CTestAxGsmDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTestAxGsmDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTestAxGsmDlg)
	m_SmsString = _T("");
	m_Tel1 = _T("");
	m_Tel2 = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CTestAxGsmDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTestAxGsmDlg)
	DDX_Control(pDX, IDC_GsmOpen, m_GsmOpen);
	DDX_Control(pDX, IDC_GsmClose, m_GsmClose);
	DDX_Control(pDX, IDC_ReceiveSmsOn, m_ReceiveSmsOn);
	DDX_Control(pDX, IDC_ReceiveSmsOff, m_ReceiveSmsOff);
	DDX_Control(pDX, IDC_Sms6, m_Sms6);
	DDX_Control(pDX, IDC_Sms5, m_Sms5);
	DDX_Control(pDX, IDC_Sms4, m_Sms4);
	DDX_Control(pDX, IDC_Sms3, m_Sms3);
	DDX_Control(pDX, IDC_Sms2, m_Sms2);
	DDX_Control(pDX, IDC_Sms1, m_Sms1);
	DDX_Control(pDX, IDC_AXGSMCTRL1, m_MyGsm);
	DDX_Text(pDX, IDC_SmsString, m_SmsString);
	DDV_MaxChars(pDX, m_SmsString, 70);
	DDX_Text(pDX, IDC_Tel1, m_Tel1);
	DDV_MaxChars(pDX, m_Tel1, 5);
	DDX_Text(pDX, IDC_Tel2, m_Tel2);
	DDV_MaxChars(pDX, m_Tel2, 15);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTestAxGsmDlg, CDialog)
	//{{AFX_MSG_MAP(CTestAxGsmDlg)
	ON_BN_CLICKED(IDC_GsmOpen, OnGsmOpen)
	ON_BN_CLICKED(IDC_GsmClose, OnGsmClose)
	ON_BN_CLICKED(IDC_SendSms, OnSendSms)
	ON_BN_CLICKED(IDC_ReceiveSmsOn, OnReceiveSmsOn)
	ON_BN_CLICKED(IDC_ReceiveSmsOff, OnReceiveSmsOff)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTestAxGsmDlg message handlers

BOOL CTestAxGsmDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	CenterWindow(GetDesktopWindow());	// center to the hpc screen

	// TODO: Add extra initialization here	
	m_GsmOpen.EnableWindow(true);
	m_GsmClose.EnableWindow(false);

	return TRUE;  // return TRUE  unless you set the focus to a control
}



BEGIN_EVENTSINK_MAP(CTestAxGsmDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CTestAxGsmDlg)
	ON_EVENT(CTestAxGsmDlg, IDC_AXGSMCTRL1, 1 /* GsmReceive */, OnGsmReceiveAxgsmctrl1, VTS_BSTR VTS_BSTR VTS_BSTR VTS_BSTR VTS_BSTR VTS_I2 VTS_BSTR)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CTestAxGsmDlg::OnGsmReceiveAxgsmctrl1(LPCTSTR ServerCenterNumber, LPCTSTR SenderNumber, LPCTSTR SendDate, LPCTSTR SendTime, LPCTSTR SendArea, short MessageWord, LPCTSTR SmsString) 
{
	// TODO: Add your control notification handler code here
	m_Sms1.SetWindowText(ServerCenterNumber);
	m_Sms2.SetWindowText(SenderNumber);
	m_Sms3.SetWindowText(SendDate);
	m_Sms4.SetWindowText(SendTime);
	m_Sms5.SetWindowText(SendArea);
	m_Sms6.SetWindowText(SmsString);
}

void CTestAxGsmDlg::OnGsmOpen() 
{
	// TODO: Add your control notification handler code here	
	m_MyGsm.RegisterWinCon();
	m_MyGsm.GsmOpenCom(5, 115200, 8, 0, 0);
	BOOL rec;
	rec = m_MyGsm.GsmInitial();
	if (rec == 1)
	{
		m_GsmOpen.EnableWindow(false);
		m_GsmClose.EnableWindow(true);		
		UpdateData(TRUE);  
		m_MyGsm.GsmTelNum(m_Tel1, m_Tel2);
		//m_MyGsm.GsmTelNum(_T("886"), m_Tel2);
		//m_MyGsm.GsmTelNum(_T("886"), _T("920613422"));
		UpdateData(FALSE); 
	}
}

void CTestAxGsmDlg::OnGsmClose() 
{
	// TODO: Add your control notification handler code here	
	m_GsmOpen.EnableWindow(true);
	m_GsmClose.EnableWindow(false);		
	m_MyGsm.GsmReceiveOff();
	m_MyGsm.GsmClose(5);
}

void CTestAxGsmDlg::OnSendSms() 
{
	// TODO: Add your control notification handler code here	
	BOOL rec;
	UpdateData(TRUE); 
	rec = m_MyGsm.GsmSend(m_SmsString); 
	UpdateData(FALSE); 
}

void CTestAxGsmDlg::OnReceiveSmsOn() 
{
	// TODO: Add your control notification handler code here	
	m_ReceiveSmsOn.EnableWindow(false);	
	m_ReceiveSmsOff.EnableWindow(true);
	m_MyGsm.GsmReceiveOn();
}

void CTestAxGsmDlg::OnReceiveSmsOff() 
{
	// TODO: Add your control notification handler code here		
	m_ReceiveSmsOn.EnableWindow(true);	
	m_ReceiveSmsOff.EnableWindow(false);	
	m_MyGsm.GsmReceiveOff(); 
}
